%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define python3 0

%if %python3
%global with_python3 1
%else
%global with_python3 0
%endif

Name:           mysql-connector-python
Version:        1.0.7
Release:        %mkrel 2
Summary:        MySQL Connector for Python
Group:          Development/Python
License:        GPLv2 with exceptions
URL:            http://dev.mysql.com/doc/connector-python/en/index.html
Source0:        http://cdn.mysql.com/Downloads/Connector-Python/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
%if %python3
BuildRequires:  python3-devel
%endif
# for unittest
BuildRequires:  mysql

%description
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.

%if %python3
%package -n mysql-connector-python3

Summary:        MySQL Connector for Python 3

%description -n mysql-connector-python3
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.
%endif


%prep
%setup -q -n %{name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root %buildroot

%if %python3
# Python 3 build
%{__python3} setup.py install --root %buildroot
%{__rm} -rf build
%endif

%files
%doc ChangeLog COPYING README
%doc python2/examples
%{python_sitelib}/*

%if %python3
%files -n mysql-connector-python3
%doc ChangeLog COPYING EXCEPTIONS-CLIENT README
%doc python3/examples
%{python3_sitelib}/*
%endif


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 360582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 1.0.7-1.mga3
+ Revision: 308134
- update file list
- disable check
- new version 1.0.7

* Wed Nov 02 2011 dmorgan <dmorgan> 0.3.2-4.mga2
+ Revision: 161892
- Disable python3 port
- Fix buildrequires => s/mysqlserver/mysql
  Enable python3 build

* Sun May 22 2011 dmorgan <dmorgan> 0.3.2-2.mga1
+ Revision: 100122
- imported package mysql-connector-python

